language: go
go:
  - 1.5.1
env:
  - GO15VENDOREXPERIMENT=1
branches:
  only:
    - master
cache:
  directories:
    - $HOME/.cache/pip
    - $GOPATH/src/github.com/deis/workflow/vendor
    - $HOME/venv
services:
  - docker
  - postgresql
sudo: required
addons:
  postgresql: "9.3"
before_install:
  - wget "https://github.com/Masterminds/glide/releases/download/0.8.3/glide-0.8.3-linux-amd64.tar.gz"
  - sudo tar -vxz -C /usr/local/bin --strip=1 -f glide-0.8.3-linux-amd64.tar.gz
  - go get github.com/golang/lint/golint
  - wget "http://ftp.debian.org/debian/pool/main/s/shellcheck/shellcheck_0.3.7-5_amd64.deb"
  - sudo dpkg -i shellcheck_0.3.7-5_amd64.deb
  - sudo pip install virtualenv
  - virtualenv -p python3.5 $HOME/venv
  - source $HOME/venv/bin/activate
  - createdb -U postgres deis
install:
  - pip install -r rootfs/requirements.txt
  - pip install -r rootfs/dev_requirements.txt
  - make -C docs/ deps
  - GLIDE_HOME=/home/travis/.glide make -C client bootstrap
  - make prep-bintray-json
script:
  - make test
  - make -C client/ bootstrap build test
  - make -C docs/ build test
before_deploy: make dist prep-bintray-json
deploy:
  - provider: script
    # ensure client/doc builds aren't removed
    # see https://docs.travis-ci.com/user/deployment/#Uploading-Files
    skip_cleanup: true
    script: _scripts/deploy.sh
    on:
      branch: master
  - provider: bintray
    skip_cleanup: true
    file: _scripts/ci/bintray-ci.json
    user: deis-admin
    key:
      secure: "JVCyPvXZIabZBhWgZ2wX4UDoTpIAjVnp+Ox6cXywYbACzKZSTz6G1kFcItzpUiEygUtye1213Zb+2050jq3BK7wohy5lcZCDJgrhyw6RxTRWIQQ5o+pS+O/AOYCSbpPn2E5goNutAhlOVsf2TlXkt4wz0jl5qOaecm0QXoiXBPUH5H1a3ifnCylybVG2jc2Kj/9S5uMGDQqocrPTXedZo9E/Es61MbKttlJGfcIrjbS71J8QZvDTcTSjzGT5CVdQulzkLNmFI5y31XwBE9XC6ro/Can10bIvy6yzYSWraUBTXVLWY2mPrPSlohOqNiYg2goQFQ2KwAGe6mVbq3UqOrYqNLXDdpSnCsRkx2KBw+ifET+0neq1NI3v5oSjKZ+p2zKCWQoOxahU40Eg+hA12oN17yHglaj2PGLuxYicDc+BQEGcGdBHAPJNXALd+rSDCdq5Gnd9HsCQE2Tyc+YK2bKvfpgcQNLS7gtiIxoRLZ1/qRBq3SB3IyQik7jjPe9Y0Meqnmdk8PeXM113/MSGdqZtVfyaOcT8SPgN22dhV42fs/BQtplTT3Hcs3yhmDwtl1w1udynerHcWx0PqZFn3h95SozJFPi8UdsbZog5V/CY/OAFs3K4bm3ay4Re1r2vTFCRuukp6UwtT5QR4kjsKWrLkewFbjId2FazJA8kMc4="
    on:
      branch: master
addons:
  artifacts:
    paths:
      - docs/_build
notifications:
  webhooks:
    urls:
      - secure: "NRYpPmC2o2K54CrFLyFjXQuC2FXOyLyIeLuW/s0UgEj0n2VUGBVXbC7p1E0QPsnu6Pqqo/7KwmdVXJo+LncBQTQS2Rc55PJQwei1a66MmX6gSeZXhZMHJ4xgPEtZxIhe01txlfdkItqDeNFayedu5BB0VqnaKtWp+7P/DcLExSB356Tg0p0NaI+RXSCw9vX9Sua2eAzDdC9u8DjLhUO/nf0B+lqcG2+UwpZrv8ui3nY9nwD9aeyTZjL6X3extAP9LGBD7GaCgLULf/9g0J1t/09bWPcqqiWrLlmzKrHYuRr0IRPZWygZs1TbS+5Oih11e3XieM0cnX3pjhgC5lb85yespeDFnSDFNOhDgEVMG8p4LtABNgpq8WR3NDYd5YKYP2mfgjO7NTSOTPeQEB/+PF5xTKdip91eUAS8z1UHHopGP5EYZIhfzpmiBtumb8xPixeRdr4YCnNTpNsmqrPzudahS2mVpTR3vIsEJC3BuSTgL2K4iTZYv1Xwa7MQmV2MF5xfFX74cJolZw1n62LHZmjnxxPMbRvBY9tnY+uZLgGimBD8e1+BuIzA4bF4IIqTM0Bwop/NFMtnsjqraGulV0qzgUW/79f/mdNVFgwmtW6dY0/ZYEY1D+JCKWe06zEc4hCUkmcE9ZG6+bGkhOnIDUCxoAI/+7hVJj7ACAs/L30="
    on_success: always
    on_failure: never
    on_start: never
